Apache 2.4 Fresh OS install Fresh Apache - configtest invalid command returned

I’ve done this Apache install a couple of ways now and get different errors when running a “configtest”. This error prevents a start of course. Current running 12.1 & Currently I’m getting:

AH00526: Syntax error on line 1 of /etc/apache2/uid.conf
“Invalid command 'User”, perhaps misspelled or defined by a module not included in the server configuration"

uid.conf of course had User runwww & Group www. Changing “User” to current User that has “www” group association does not change the error.

After a fresh install & update using yast then installation of & selecting yast2-http-server configuration icon in yast loaded Apache which return errors at line 180 which was the “include” default-server.conf file and another in httpd.conf.

When using yast & pattern search and selecting “Web & LAMP Server” post install of PHP the current error describe above is produced. No additional modules have been loaded or enabled other than those that are set by the install. Besides setting the server up through yast (IP & port) no other changes were made prior to the “configtest” attempt. I did a login/logout to check if it was an identity issue but no change.

Any ideas would be helpful … Thanks

Upgrading to Apache 2.4 requires quite a lot of changes in the configuration, as some commands changed or disapeared.

Maybe have a look on this and go down to *Common problems when upgrading *

Upgrading to 2.4 from 2.2 - Apache HTTP Server